pcl::cuda::DebayerBilinear< Storage > Struct Template Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/io/include/pcl/cuda/io/debayering.h>`

## Public Member Functions

| DebayerBilinear (unsigned char *bayer_image, unsigned width, unsigned height)
__inline__ __host__ __device__ OpenNIRGB | operator() (int index) const

## Public Attributes

unsigned | width
unsigned | height
unsigned char * | data

## Detailed Description

### template<template< typename > class Storage>
struct pcl::cuda::DebayerBilinear< Storage >

Definition at line 68 of file debayering.h.

## Constructor & Destructor Documentation

## DebayerBilinear()

template<template< typename > class Storage>

pcl::cuda::DebayerBilinear< Storage >::DebayerBilinear | ( | unsigned char * | bayer_image,
|  | unsigned | width,
|  | unsigned | height
| ) |  |

## Member Function Documentation

## operator()()

template<template< typename > class Storage>

__inline__ __host__ __device__ OpenNIRGB pcl::cuda::DebayerBilinear< Storage >::operator() | ( | int | index | ) | const

## Member Data Documentation

## data

template<template< typename > class Storage>

unsigned char* pcl::cuda::DebayerBilinear< Storage >::data

Definition at line 75 of file debayering.h.

## height

template<template< typename > class Storage>

unsigned pcl::cuda::DebayerBilinear< Storage >::height

Definition at line 71 of file debayering.h.

## width

template<template< typename > class Storage>

unsigned pcl::cuda::DebayerBilinear< Storage >::width

Definition at line 70 of file debayering.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/io/include/pcl/cuda/io/debayering.h